## pureos-store 43.5

=== debian/changelog ===
pureos-store (43.5-1~deb12u1pureos3) crimson; urgency=medium

  * d/patches: Backport error display changes
  * d/patches: gs-shell: ui: Make in-app notifications shorter
  * d/patches: gs-shell: ui: Move in-app notification buttons below the label

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 11 Dec 2025 00:31:09 +0100

pureos-store (43.5-1~deb12u1pureos2) crimson; urgency=medium

  * d/patches: Drop payment patches

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 26 Apr 2025 10:49:29 +0200

pureos-store (43.5-1~deb12u1pureos1) crimson; urgency=medium

  * Sync with Debian bookworm's gnome-software
  * d/patches: Set crimson repos as default official (instead of byzantium)

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 18 Mar 2025 01:27:54 +0100

gnome-software (43.5-1~deb12u1) bookworm; urgency=medium

  * Team upload
  * Rebuild for Debian 12

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Jun 2023 11:33:47 +0100

gnome-software (43.5-1) unstable; urgency=medium

  * d/gbp.conf: Use upstream/43.x branch to import new upstream versions
  * d/watch: Only watch for versions 43.x
  * New upstream release 43.5
    - Fix some memory leaks (Closes: #1036312)
  * Refresh patch series (no functional changes)

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Jun 2023 10:25:39 +0100

pureos-store (43.4-1pureos1) crimson; urgency=medium

  * d/patches: Remove byzantium backport patches
  * d/patches: Refresh
  * d/gbp.conf: Switch to pureos/latest
  * d/librem5-ci: Switch to landing
  * d/lintian-overrides: Add custom-library-search-path

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 21 Jun 2023 10:41:38 +0200

gnome-software (43.4-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed.
  * debian/gbp.conf, debian/control.in: Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 13:27:14 -0500

gnome-software (43.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 14:14:13 -0500

gnome-software (43.2-3) unstable; urgency=medium

  * Restore explicit Build-Depends on libsoup-3.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 19:02:19 -0500

gnome-software (43.2-2) unstable; urgency=medium

  * Build against snapd-glib 1.63 using libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 18:11:05 -0500

gnome-software (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 08:48:10 -0500

gnome-software (43.1-2) unstable; urgency=medium

  * Restore accidentally dropped 43.0-2 changes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Nov 2022 10:48:34 -0500

gnome-software (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 08:48:46 -0500

gnome-software (43.0-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Replace transitional policykit-1 with polkitd.
    pkexec is used in a couple of places, but neither is relevant to Debian:
    we don't enable support for external AppStream metadata, and we don't
    install a Fedora-specific plugin.
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2022 10:27:33 +0100

gnome-software (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 07:52:43 -0400

gnome-software (43~rc-2) unstable; urgency=medium

  * debian/control.in: Explicitly Build-Depend on libsoup

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 21:51:20 -0400

gnome-software (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.70.0
  * Drop libsoup3 patches: applied in new release
  * Build for libsoup3 on Ubuntu because it has the new snapd-glib

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 09:46:45 -0400

gnome-software (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete valgrind dependency
  * Build-Depend on appstream for build tests
  * debian/control.in: Build-Depend on libglib-testing-0-dev
  * Update list of architectures where we try to build the Flatpak plugin
  * Add patch to allow building the Flatpak plugin with libsoup3
  * Add proposed patch to allow building the Snap plugin with libsoup3
  * Keep building with libsoup2 until we are ready for the librest transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 07:31:49 -0400

gnome-software (42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 07:16:30 -0400

gnome-software (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Jul 2022 23:04:45 +0200

gnome-software (42.2-1) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release
  * Revert "Cherry-pick proposed patch to fix inability to remove apps":
    applied in new release

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 01 Jun 2022 11:47:21 -0300

gnome-software (42.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick proposed patch to fix inability to remove apps (LP: #1969303)
  * debian/gnome-software-common.install: Install usr/share/swcatalog
    instead of usr/share/app-info

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 May 2022 12:16:07 -0400

gnome-software (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to GTK4 and libadwaita
  * Build with libsoup2 for now
  * debian/control.in: Bump minimum dependencies to match meson.build
  * debian/control.in: Update gnome-software-dev depends per its pkgconfig

