=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pureos-store
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               dh-sequence-gnome,
               docbook-xsl,
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               libadwaita-1-dev (>= 1.2~alpha),
               libappstream-dev (>= 0.14.0),
               libflatpak-dev (>= 1.10.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libglib2.0-dev (>= 2.56.0),
               libglib-testing-0-dev,
               libgtk-4-dev (>= 4.6),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev (>= 1.6.0),
               libostree-dev (>= 2020.8-2~) [linux-any],
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libpackagekit-glib2-dev (>= 1.1.11),
               libpolkit-gobject-1-dev,
               libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
               libsoup-3.0-dev,
               libxml2-utils,
               libxmlb-dev (>= 0.1.7),
               meson (>= 0.55.0),
               pkg-config,
               polkitd,
               xsltproc
Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libjson-glib-doc <!nodoc>,
                     libsoup2.4-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://source.puri.sm/Librem5/pureos-store
Vcs-Git: https://source.puri.sm/Librem5/pureos-store.git
Homepage: https://source.puri.sm/Librem5/pureos-store
X-Ubuntu-Use-Langpack: yes

Package: pureos-store
Architecture: any
Depends: appstream,
         apt-config-icons,
         pureos-store-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         libgtk3-perl,
         packagekit (>= 1.1.11),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gnome-software,
           sessioninstaller
Provides: gnome-software (= ${binary:Version})
Recommends: apt-config-icons-hidpi,
            ${plugin:Recommends}
Suggests: pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
          ${plugin:Suggests}
Description: Software Center for PureOS
 PureOS Store lets you install and update applications and system extensions.
 .
 PureOS Store uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: pureos-store-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: gnome-software-common
Provides: gnome-software-common (= ${binary:Version})
Description: Software Center for PureOS (common files)
 PureOS Store lets you install and update applications and system extensions.
 .
 PureOS Store uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: pureos-store-plugin-flatpak
Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32
Depends: flatpak (>= 1.10.0),
         pureos-store (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gnome-software-plugin-flatpak
Provides: gnome-software-plugin-flatpak (= ${binary:Version})
Description: Flatpak support for PureOS Store
 PureOS Store lets you install and update applications and system extensions.
 .
 PureOS Store uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: pureos-store-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-dev (>= 0.14.0),
         libglib2.0-dev (>= 2.56.0),
         libgtk-4-dev (>= 4.6),
         libjson-glib-dev (>= 1.6.0),
         libpolkit-gobject-1-dev,
         libsoup-3.0-dev,
         libxmlb-dev (>= 0.1.7),
         ${misc:Depends}
Conflicts: gnome-software-dev
Provides: gnome-software-dev (= ${binary:Version})
Suggests: pureos-store-doc
Description: Software Center for PureOS - development files
 PureOS Store lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with PureOS Store.

Package: pureos-store-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: gnome-software-doc
Provides: gnome-software-doc (= ${binary:Version})
Build-Profiles: <!nodoc>
Description: Software Center for PureOS - documentation
 PureOS Store lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 PureOS Store.
